Index: /trunk/dports/kde/kdevplatform/Portfile
===================================================================
--- /trunk/dports/kde/kdevplatform/Portfile	(revision 99092)
+++ /trunk/dports/kde/kdevplatform/Portfile	(revision 99093)
@@ -6,6 +6,5 @@
 
 name                kdevplatform
-version             1.3.1
-revision            3
+version             1.4.0
 categories          kde kde4
 platforms           darwin
@@ -20,5 +19,5 @@
                     Quanta, Kile, KTechLab ... etc.
 
-set kdevelopversion 4.3.1
+set kdevelopversion 4.4.0
 
 homepage            http://www.kdevelop.org/
@@ -26,6 +25,6 @@
 distname            ${name}-${version}
 
-checksums           sha1    bba0cefdac6de83c8d3354534a94e8500dccda37 \
-                    rmd160  18cb71493a043fdc1937c6a18f93b3de33565e08
+checksums           rmd160  e15b8a5733500efcba9f48232201153c9ed4f2bb \
+                    sha256  fd00aff21af14c07eca6e0dfbc0d4dd1edcc4ec3c50e6a5dd7e962214922c08e
 
 use_bzip2           yes
@@ -47,9 +46,10 @@
     if {${os.major} >= 11} {
         #Case of Lion and higher (ticket #34545)
-        configure.args-append   -DCMAKE_CXX_FLAGS="-Wno-reserved-user-defined-literal -stdlib=libc++"
+        configure.args-append   -DCMAKE_CXX_FLAGS="-Wno-reserved-user-defined-literal -stdlib=libc++" \
+                                -DHAVE_UNORDERED_MAP=1
     } else {
         #Patching code for clang on SL where libc++ is not available (ticket #34859)
         configure.args-append   -DCMAKE_CXX_FLAGS="-Wno-reserved-user-defined-literal"
-        patchfiles-append       patch-modificationrevision.diff
+        patchfiles-append       patch-uicontroller.cpp.diff
     }
 }
Index: unk/dports/kde/kdevplatform/files/patch-modificationrevision.diff
===================================================================
--- /trunk/dports/kde/kdevplatform/files/patch-modificationrevision.diff	(revision 99092)
+++ 	(revision )
@@ -1,31 +1,0 @@
---- language/editor/modificationrevision.cpp.orig	2012-04-14 04:49:31.000000000 +0900
-+++ language/editor/modificationrevision.cpp	2012-06-08 10:40:54.000000000 +0900
-@@ -26,19 +26,20 @@
- #if defined(Q_CC_MSVC)
- #include <hash_map>
- using namespace stdext;
--#elif defined GXX_LT_4_3
-+//#elif defined GXX_LT_4_3
-+#else
- #include <ext/hash_map>
- using namespace __gnu_cxx;
--#else // C++0X
-+//#else // C++0X
- // TODO: Replace hash_map with unordered map when support for G++ < 4.3 has 
- //       ended. This class was added as a temporary workaround, to get rid of
- //       hash_map related warnings for g++ >= 4.3.
--#include <unordered_map>
--template<class _Key, class _Tp,
--       class _Hash = std::hash<_Key>,
--       class _Pred = std::equal_to<_Key>,
--       class _Alloc = std::allocator<std::pair<const _Key, _Tp> > >
--class  hash_map : public std::unordered_map<_Key, _Tp, _Hash, _Pred, _Alloc> { };
-+//#include <unordered_map>
-+//template<class _Key, class _Tp,
-+//       class _Hash = std::hash<_Key>,
-+//       class _Pred = std::equal_to<_Key>,
-+//       class _Alloc = std::allocator<std::pair<const _Key, _Tp> > >
-+//class  hash_map : public std::unordered_map<_Key, _Tp, _Hash, _Pred, _Alloc> { };
- #endif
- 
- 
Index: /trunk/dports/kde/kdevplatform/files/patch-uicontroller.cpp.diff
===================================================================
--- /trunk/dports/kde/kdevplatform/files/patch-uicontroller.cpp.diff	(revision 99093)
+++ /trunk/dports/kde/kdevplatform/files/patch-uicontroller.cpp.diff	(revision 99093)
@@ -0,0 +1,11 @@
+--- shell/uicontroller.cpp.orig	2012-10-16 06:35:28.000000000 +0900
++++ shell/uicontroller.cpp	2012-10-20 18:50:15.000000000 +0900
+@@ -635,7 +635,7 @@
+     Sublime::View* view = doc->createView();
+     area->addToolView(
+         view,
+-        p == Sublime::Position::AllPositions ? Sublime::dockAreaToPosition(factory->defaultPosition()) : p);
++        p == Sublime::AllPositions ? Sublime::dockAreaToPosition(factory->defaultPosition()) : p);
+ 
+     connect(view, SIGNAL(raise(Sublime::View*)),
+             SLOT(raiseToolView(Sublime::View*)));