Index: /trunk/dports/www/webkit-gtk/Portfile
===================================================================
--- /trunk/dports/www/webkit-gtk/Portfile	(revision 99153)
+++ /trunk/dports/www/webkit-gtk/Portfile	(revision 99154)
@@ -7,6 +7,5 @@
 name		webkit-gtk
 epoch           1
-version		1.8.3
-revision        2
+version		1.10.1
 description	Apple's WebKit HTML rendering library for GTK+
 long_description ${description}
@@ -19,9 +18,9 @@
 
 use_xz          yes
-distname        webkit-${version}
-
-checksums       sha1    ccf567fdfd7fbc63a3340777278e41b17522b80d \
-                rmd160  a25fe7966630d2a0e0926f565e28a9054d446c14 \
-                sha256  ada02d636af61aed38f142d3cded662d141ce71264f624c4eb873621a74cc9e7
+distname        webkitgtk-${version}
+
+checksums       sha1    3a2df2eb42ffdd7f3b39873d5461c347a6330493 \
+                rmd160  ea246d29a1def4993d592d8464b527b2c9ed1bdc \
+                sha256  8a2c59c7fdd2c011bdb6ca479aebdf892220d6caf484ddb17ed97fd2575fc7f4
 
 depends_lib	\
@@ -44,7 +43,8 @@
 # our-icu.patch: No upstream bug report, probably not wanted
 # xrender-check.patch: https://bugs.webkit.org/show_bug.cgi?id=84095
-# quartz.patch: https://bugs.webkit.org/show_bug.cgi?id=84423
 # bison-2.6.patch: No upstream bug (?)
 # tiger.patch: No upstream bug, http://trac.macports.org/ticket/35923
+
+#        bison-2.6.patch \
 
 patchfiles \
@@ -52,10 +52,9 @@
         our-icu.patch \
         xrender-check.patch \
-        quartz.patch \
-        bison-2.6.patch \
         tiger.patch
 
 configure.args	\
         --with-gtk=2.0 \
+        --disable-webkit2 \
         --disable-introspection \
         --enable-link-prefetch \
@@ -83,4 +82,8 @@
 #        --enable-register-protocol-handler \
 
+# In 1.10.1:
+# https://bugs.webkit.org/show_bug.cgi?id=99732
+configure.args-append --disable-jit
+
 # In 1.8.2:
 # ./Source/WebCore/workers/WorkerContext.h:225: error: 'IDBFactoryBackendInterface' was not declared in this scope
@@ -134,4 +137,6 @@
 # We don't want to use the headers from the installed WebKit
 configure.cppflags-delete -I${prefix}/include
+configure.cflags-append -g3
+configure.cxxflags-append -g3
 
 autoreconf.env-append ACLOCAL="aclocal -I Source/autotools"
@@ -155,4 +160,12 @@
     reinplace "s:echo -n:/bin/echo -n:g" \
         ${worksrcpath}/Source/WebCore/GNUmakefile.am
+
+    # https://bugs.webkit.org/show_bug.cgi?id=99679
+    # https://bugs.webkit.org/show_bug.cgi?id=99683
+    reinplace "s:PLATFORM(MAC):OS(DARWIN):g" \
+        ${worksrcpath}/Source/WTF/wtf/InlineASM.h \
+        ${worksrcpath}/Source/JavaScriptCore/heap/VTableSpectrum.cpp \
+        ${worksrcpath}/Source/JavaScriptCore/jit/ThunkGenerators.cpp \
+        ${worksrcpath}/Source/JavaScriptCore/tools/CodeProfile.cpp
 }
 
@@ -162,4 +175,6 @@
 #    file copy ${worksrcpath}/Programs/.libs/GtkLauncher ${destroot}${prefix}/bin
 #}
+
+build.args-append V=1
 
 # see bug #24622
Index: unk/dports/www/webkit-gtk/files/quartz.patch
===================================================================
--- /trunk/dports/www/webkit-gtk/files/quartz.patch	(revision 99153)
+++ 	(revision )
@@ -1,24 +1,0 @@
---- Source/WebCore/GNUmakefile.list.am.orig	2012-08-20 13:36:43.000000000 -0700
-+++ Source/WebCore/GNUmakefile.list.am	2012-09-03 01:50:55.000000000 -0700
-@@ -4588,7 +4588,9 @@ webcoregtk_sources += \
- 	Source/WebCore/platform/gtk/GtkWidgetBackingStoreX11.cpp \
- 	Source/WebCore/plugins/gtk/gtk2xtbin.c \
- 	Source/WebCore/plugins/gtk/gtk2xtbin.h \
--	Source/WebCore/plugins/gtk/xembed.h
-+	Source/WebCore/plugins/gtk/xembed.h \
-+	Source/WebCore/plugins/gtk/PluginPackageGtk.cpp \
-+	Source/WebCore/plugins/gtk/PluginViewGtk.cpp
- endif
- 
- if TARGET_WIN32
-@@ -4612,10 +4614,6 @@ webcore_sources += \
- webcoregtk_sources += \
- 	Source/WebCore/platform/cairo/WidgetBackingStoreCairo.cpp \
- 	Source/WebCore/plugins/win/PluginViewWin.cpp
--else
--webcoregtk_sources += \
--	Source/WebCore/plugins/gtk/PluginPackageGtk.cpp \
--	Source/WebCore/plugins/gtk/PluginViewGtk.cpp
- endif
- 
- # ----
Index: /trunk/dports/www/webkit-gtk/files/tiger.patch
===================================================================
--- /trunk/dports/www/webkit-gtk/files/tiger.patch	(revision 99153)
+++ /trunk/dports/www/webkit-gtk/files/tiger.patch	(revision 99154)
@@ -1,5 +1,5 @@
---- Source/JavaScriptCore/wtf/Platform.h.orig	2012-09-03 23:55:53.000000000 -0700
-+++ Source/JavaScriptCore/wtf/Platform.h	2012-09-03 23:59:14.000000000 -0700
-@@ -316,7 +316,9 @@
+--- Source/WTF/wtf/Platform.h.orig	2012-10-17 21:57:04.000000000 -0700
++++ Source/WTF/wtf/Platform.h	2012-10-17 21:57:40.000000000 -0700
+@@ -321,8 +321,10 @@
  #ifdef __APPLE__
  #define WTF_OS_DARWIN 1
@@ -7,7 +7,8 @@
 -#include <Availability.h>
  #include <AvailabilityMacros.h>
-+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1060
++#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
 +#include <Availability.h>
 +#endif
  #include <TargetConditionals.h>
  #endif
+ 