Index: /trunk/dports/emulators/virtualbox/Portfile
===================================================================
--- /trunk/dports/emulators/virtualbox/Portfile	(revision 99315)
+++ /trunk/dports/emulators/virtualbox/Portfile	(revision 99316)
@@ -5,9 +5,9 @@
 
 name                virtualbox
-version             4.2.2
+version             4.2.4
 # Note: On virtualbox version changes please update the checksums of all
 # subports, and update extension_pack_build to match the current build
 # of the extension pack.
-set extension_pack_build   81494
+set extension_pack_build   81684
 
 categories          emulators
@@ -48,6 +48,6 @@
     use_bzip2           yes
 
-    checksums           rmd160  628e3d86d5467fd42429d4893d30ab8a53e9ef13 \
-                        sha256  943daa13694605d5d0a23ffef27c398b5e72ada669de89bad4b98f000f029700
+    checksums           rmd160  627ef6d1b3400b37033c95d5971f54986e22a030 \
+                        sha256  a7c607523c1c10b7b978ab39a92bb646517316548aa4a1a74b6e434ac2bf0adc
 
     depends_lib-append          port:curl \
@@ -214,6 +214,6 @@
     distfiles               VBoxGuestAdditions_${version}.iso
 
-    checksums               rmd160  d4d3fff56a6f356a96ee80c24adf37256355cb3b \
-                            sha256  26f5390b36a3bb9855846d194dcd287b8e53613b599c6ffd7aff1b451cc7f1f1
+    checksums               rmd160  aca6c7580fbe1d2baa4e0ef0405703f0aa582a78 \
+                            sha256  3d7d909a0fe9ac5ffcca6afdd4142b88bad116d2ffed6e95588dbfbcf00ca5e9
 
     depends_run             port:virtualbox
@@ -271,6 +271,6 @@
     distname            ${name_extpack}-${version}
 
-    checksums           rmd160  00c31eb90e945d46f2489804f0e853c1fe700485 \
-                        sha256  2a0824a7f6b93842feb13fe15de16a1bb33c9221116d62ce759eed6878169c2b
+    checksums           rmd160  b56aff328a43a825671a70c3d5a037e87148e30c \
+                        sha256  62078e057a4ab56aec5ac086746522b3d94787333d0444169471fa5152c609ed
 
     worksrcdir          ${name_extpack}
Index: /trunk/dports/emulators/virtualbox/files/patch-apple-gcc42.diff
===================================================================
--- /trunk/dports/emulators/virtualbox/files/patch-apple-gcc42.diff	(revision 99315)
+++ /trunk/dports/emulators/virtualbox/files/patch-apple-gcc42.diff	(revision 99316)
@@ -1,5 +1,5 @@
 --- Config.kmk.orig	2012-08-19 17:42:19.000000000 -0500
 +++ Config.kmk	2012-08-19 17:42:19.000000000 -0500
-@@ -1897,10 +1897,8 @@
+@@ -1900,10 +1900,8 @@
     $(error VBox: 64-bit darwin builds require Xcode 3.2 or later, you have $(VBOX_XCODE_VERSION))
    endif
Index: /trunk/dports/emulators/virtualbox/files/patch-build.diff
===================================================================
--- /trunk/dports/emulators/virtualbox/files/patch-build.diff	(revision 99315)
+++ /trunk/dports/emulators/virtualbox/files/patch-build.diff	(revision 99316)
@@ -1,5 +1,5 @@
 --- Config.kmk.orig	2012-06-20 08:07:42.000000000 -0500
 +++ Config.kmk	2012-08-19 05:22:48.000000000 -0500
-@@ -1132,7 +1132,7 @@
+@@ -1135,7 +1135,7 @@
  # of VirtualBox binaries.  We request though that you always use something that
  # clearly identifies your build and makes it clear that it is not one done by
@@ -10,5 +10,5 @@
  
  # Keep in sync with G_virtualBoxPackage in glue-jaxws.xsl and glue-java.xsl
-@@ -1858,7 +1858,11 @@
+@@ -1861,7 +1861,11 @@
    endif
    VBOX_PATH_MACOSX_SDK ?= $(VBOX_PATH_MACOSX_SDK_ROOT)/MacOSX$(VBOX_DEF_MACOSX_VERSION_MIN)u.sdk
@@ -23,5 +23,5 @@
  
   ## The Xcode version.
-@@ -1952,6 +1956,13 @@
+@@ -1955,6 +1959,13 @@
   endif
  
@@ -37,5 +37,5 @@
    VBOX_DARWIN_DEF_SDK_10_6_DEFS        := MAC_OS_X_VERSION_MIN_REQUIRED=1060 MAC_OS_X_VERSION_MAX_ALLOWED=1060
    VBOX_DARWIN_DEF_SDK_10_6_CFLAGS      := -mmacosx-version-min=10.6 -isysroot $(VBOX_PATH_MACOSX_SDK_10_6)
-@@ -1970,7 +1981,7 @@
+@@ -1973,7 +1984,7 @@
     ifneq ($(wildcard $(VBOX_PATH_MACOSX_SDK_ROOT)/MacOSX10.7.sdk),)
      VBOX_PATH_MACOSX_SDK_10_7           = $(VBOX_PATH_MACOSX_SDK_ROOT)/MacOSX10.7.sdk
@@ -46,5 +46,5 @@
    endif
    VBOX_DARWIN_DEF_SDK_10_7_DEFS        := MAC_OS_X_VERSION_MIN_REQUIRED=1070 MAC_OS_X_VERSION_MAX_ALLOWED=1070
-@@ -2150,22 +2161,22 @@
+@@ -2153,22 +2164,22 @@
  VBOX_GCC32_CHECK_CXX = $(2)
  else
@@ -73,5 +73,5 @@
     else echo "$(2)"; fi; )
  endif
-@@ -4202,25 +4213,6 @@
+@@ -4205,25 +4216,6 @@
   # be cleaned up properly later some time (not important now).
   #