Index: /trunk/dports/kde/analitza/Portfile
===================================================================
--- /trunk/dports/kde/analitza/Portfile	(revision 99486)
+++ /trunk/dports/kde/analitza/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2 GFDL-1.2
 description         library for mathematical features
Index: /trunk/dports/kde/blinken/Portfile
===================================================================
--- /trunk/dports/kde/blinken/Portfile	(revision 99486)
+++ /trunk/dports/kde/blinken/Portfile	(revision 99487)
@@ -9,5 +9,5 @@
 categories          kde kde4
 license             GPL-2
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 description         Memory Enhancement Game
 long_description    KDE ${description}
Index: /trunk/dports/kde/cantor/Portfile
===================================================================
--- /trunk/dports/kde/cantor/Portfile	(revision 99486)
+++ /trunk/dports/kde/cantor/Portfile	(revision 99487)
@@ -9,5 +9,5 @@
 categories          kde kde4
 license             GPL-2
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 description         Frontend to Mathematical Software
 long_description    KDE ${description}
Index: /trunk/dports/kde/kalgebra/Portfile
===================================================================
--- /trunk/dports/kde/kalgebra/Portfile	(revision 99486)
+++ /trunk/dports/kde/kalgebra/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2
 description         2D and 3D Graph Calculator
Index: /trunk/dports/kde/kalzium/Portfile
===================================================================
--- /trunk/dports/kde/kalzium/Portfile	(revision 99486)
+++ /trunk/dports/kde/kalzium/Portfile	(revision 99487)
@@ -9,5 +9,5 @@
 categories          kde kde4
 license             GPL-2
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 description         Periodic Table of Elements
 long_description    KDE ${description}
Index: /trunk/dports/kde/kanagram/Portfile
===================================================================
--- /trunk/dports/kde/kanagram/Portfile	(revision 99486)
+++ /trunk/dports/kde/kanagram/Portfile	(revision 99487)
@@ -9,5 +9,5 @@
 categories          kde kde4
 license             GPL-2
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 description         Letter Order Game
 long_description    KDE ${description}
Index: /trunk/dports/kde/kbruch/Portfile
===================================================================
--- /trunk/dports/kde/kbruch/Portfile	(revision 99486)
+++ /trunk/dports/kde/kbruch/Portfile	(revision 99487)
@@ -9,5 +9,5 @@
 categories          kde kde4
 license             GPL-2
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 description         Practice Fractions
 long_description    KDE ${description}
Index: /trunk/dports/kde/kde4-runtime/Portfile
===================================================================
--- /trunk/dports/kde/kde4-runtime/Portfile	(revision 99486)
+++ /trunk/dports/kde/kde4-runtime/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ LGPL-2.1+
 description         Shared data needed by KDE4 programs
Index: /trunk/dports/kde/kdeadmin/Portfile
===================================================================
--- /trunk/dports/kde/kdeadmin/Portfile	(revision 99486)
+++ /trunk/dports/kde/kdeadmin/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ LGPL-2+ GFDL-1.2
 description         kdeadmin contains packages that usually only a system \
Index: /trunk/dports/kde/kdeartwork/Portfile
===================================================================
--- /trunk/dports/kde/kdeartwork/Portfile	(revision 99486)
+++ /trunk/dports/kde/kdeartwork/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GFDL-1.2 GPL-2 LGPL-2.1
 description         This package contains additional themes, screensaver, \
Index: /trunk/dports/kde/kdegraphics4/Portfile
===================================================================
--- /trunk/dports/kde/kdegraphics4/Portfile	(revision 99486)
+++ /trunk/dports/kde/kdegraphics4/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 description         KDE4 graphics applications - Meta package
 long_description    KDE applications for managing and creating image files. \
Index: /trunk/dports/kde/kdelibs4/Portfile
===================================================================
--- /trunk/dports/kde/kdelibs4/Portfile	(revision 99486)
+++ /trunk/dports/kde/kdelibs4/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+
 description         KDE4 core libraries
Index: /trunk/dports/kde/kdewebdev/Portfile
===================================================================
--- /trunk/dports/kde/kdewebdev/Portfile	(revision 99486)
+++ /trunk/dports/kde/kdewebdev/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ LGPL-2+ GFDL-1.2
 description         WEB Development package for the K Desktop Environment.
Index: /trunk/dports/kde/kgeography/Portfile
===================================================================
--- /trunk/dports/kde/kgeography/Portfile	(revision 99486)
+++ /trunk/dports/kde/kgeography/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2
 description         Geography Trainer
Index: /trunk/dports/kde/khangman/Portfile
===================================================================
--- /trunk/dports/kde/khangman/Portfile	(revision 99486)
+++ /trunk/dports/kde/khangman/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2
 description         hangman game
Index: /trunk/dports/kde/kig/Portfile
===================================================================
--- /trunk/dports/kde/kig/Portfile	(revision 99486)
+++ /trunk/dports/kde/kig/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2
 description         Interactive Geometry
Index: /trunk/dports/kde/kiten/Portfile
===================================================================
--- /trunk/dports/kde/kiten/Portfile	(revision 99486)
+++ /trunk/dports/kde/kiten/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ LGPL-2+ GFDL-1.2
 description         Japanese Reference/Study Tool
Index: /trunk/dports/kde/klettres/Portfile
===================================================================
--- /trunk/dports/kde/klettres/Portfile	(revision 99486)
+++ /trunk/dports/kde/klettres/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2
 description         Learn the Alphabet
Index: /trunk/dports/kde/kmplot/Portfile
===================================================================
--- /trunk/dports/kde/kmplot/Portfile	(revision 99486)
+++ /trunk/dports/kde/kmplot/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2
 description         Mathematical Function Plotter
Index: /trunk/dports/kde/kross-interpreters/Portfile
===================================================================
--- /trunk/dports/kde/kross-interpreters/Portfile	(revision 99486)
+++ /trunk/dports/kde/kross-interpreters/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             LGPL-2.1+
 description         WEB Development package for the K Desktop Environment.
Index: /trunk/dports/kde/ktouch/Portfile
===================================================================
--- /trunk/dports/kde/ktouch/Portfile	(revision 99486)
+++ /trunk/dports/kde/ktouch/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2
 description         Touch Typing Tutor
Index: /trunk/dports/kde/kturtle/Portfile
===================================================================
--- /trunk/dports/kde/kturtle/Portfile	(revision 99486)
+++ /trunk/dports/kde/kturtle/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2
 description         Educational Programming Environment
Index: /trunk/dports/kde/kwordquiz/Portfile
===================================================================
--- /trunk/dports/kde/kwordquiz/Portfile	(revision 99486)
+++ /trunk/dports/kde/kwordquiz/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2 LGPL-2
 description         Flash Card Trainer
Index: /trunk/dports/kde/libkdeedu/Portfile
===================================================================
--- /trunk/dports/kde/libkdeedu/Portfile	(revision 99486)
+++ /trunk/dports/kde/libkdeedu/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             {GPL-2 GPL-3 LGPL-2.1 BSD}
 description         KDE4 edu core libraries
Index: /trunk/dports/kde/marble/Portfile
===================================================================
--- /trunk/dports/kde/marble/Portfile	(revision 99486)
+++ /trunk/dports/kde/marble/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             LGPL-2.1+ GFDL-1.2
 description         Virtual Globe
Index: /trunk/dports/kde/parley/Portfile
===================================================================
--- /trunk/dports/kde/parley/Portfile	(revision 99486)
+++ /trunk/dports/kde/parley/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2
 description         Vocabulary Trainer
Index: /trunk/dports/kde/rocs/Portfile
===================================================================
--- /trunk/dports/kde/rocs/Portfile	(revision 99486)
+++ /trunk/dports/kde/rocs/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ LGPL-2.1 GFDL-1.2
 description         Graph Theory IDE
Index: /trunk/dports/kde/smokegen/Portfile
===================================================================
--- /trunk/dports/kde/smokegen/Portfile	(revision 99486)
+++ /trunk/dports/kde/smokegen/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ LGPL-2.1+
 description         Scripting Meta Object Kompiler Engine
Index: /trunk/dports/kde/step/Portfile
===================================================================
--- /trunk/dports/kde/step/Portfile	(revision 99486)
+++ /trunk/dports/kde/step/Portfile	(revision 99487)
@@ -8,5 +8,5 @@
 version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld nicos
+maintainers         sharky nicos
 license             GPL-2+ GFDL-1.2
 description         Interactive Physics Simulator