Index: /trunk/dports/python/py-pyqt4/Portfile
===================================================================
--- /trunk/dports/python/py-pyqt4/Portfile	(revision 99505)
+++ /trunk/dports/python/py-pyqt4/Portfile	(revision 99506)
@@ -2,29 +2,29 @@
 # $Id$
 
-PortSystem	1.0
-PortGroup   qt4 1.0
-PortGroup   python 1.0
-
-name		py-pyqt4
-version		4.9.5
-python.versions   24 25 26 27 31 32
-categories	python devel
-platforms	macosx
+PortSystem      1.0
+PortGroup       qt4 1.0
+PortGroup       python 1.0
+
+name            py-pyqt4
+version         4.9.5
+python.versions 24 25 26 27 31 32
+categories      python devel
+platforms       macosx
 maintainers     michaelld openmaintainer
-license             {GPL-2 GPL-3}
-description	PyQt4 is a set of Python bindings for the Qt4 toolkit
+license         {GPL-2 GPL-3}
+description     PyQt4 is a set of Python bindings for the Qt4 toolkit
 long_description \
-		PyQt4 is a set of Python bindings for the Qt4 toolkit. The \
-		bindings are implemented as a set of Python modules: qt, \
-		qtcanvas, qtgl, qtnetwork, qtsql, qttable, qtui and qtxml, \
-		and contains 300 classes and over 5,750 functions and methods.
-homepage	http://www.riverbankcomputing.co.uk/software/pyqt/intro
-master_sites	http://www.riverbankcomputing.com/static/Downloads/PyQt4/ \
-		sourceforge:pyqt
-distname	PyQt-mac-gpl-${version}
-dist_subdir         python
-
-checksums           sha1    a11654b77f8fbd8b1dcca7631e2581b40322eb44 \
-                    rmd160  0af5429edbcbd62271d4e40021f7664d05ac9233
+    PyQt4 is a set of Python bindings for the Qt4 toolkit. The \
+    bindings are implemented as a set of Python modules: qt, \
+    qtcanvas, qtgl, qtnetwork, qtsql, qttable, qtui and qtxml, \
+    and contains 300 classes and over 5,750 functions and methods.
+homepage        http://www.riverbankcomputing.co.uk/software/pyqt/intro
+master_sites    http://www.riverbankcomputing.com/static/Downloads/PyQt4/ \
+                sourceforge:pyqt
+distname        PyQt-mac-gpl-${version}
+dist_subdir     python
+
+checksums       sha1    a11654b77f8fbd8b1dcca7631e2581b40322eb44 \
+                rmd160  0af5429edbcbd62271d4e40021f7664d05ac9233
 
 if {$subport != $name} {
@@ -74,5 +74,5 @@
     # 4.8.0, and uses it where appropriate.
 
-    patchfiles	patch-configure.py
+    patchfiles      patch-configure.py
 
     # fix location of MacPorts'-installed Qt .apps, step 1
@@ -99,14 +99,14 @@
     }
 
-    configure.cmd	"${python.bin} configure.py -q ${qt_qmake_cmd} --verbose --confirm-license"
+    configure.cmd       "${python.bin} configure.py -q ${qt_qmake_cmd} --verbose --confirm-license"
     configure.pre_args
-    configure.post_args	LFLAGS="-F${frameworks_dir} -L${prefix}/lib"
+    configure.post_args LFLAGS="-F${frameworks_dir} -L${prefix}/lib"
 
     variant universal {
         configure.universal_args
-        configure.post_args	LFLAGS="-F${frameworks_dir} -L${prefix}/lib \
+        configure.post_args         LFLAGS="-F${frameworks_dir} -L${prefix}/lib \
                                     ${configure.universal_ldflags}"
-        configure.post_args-append	CFLAGS="${configure.universal_cflags}"
-        configure.post_args-append	CXXFLAGS="${configure.universal_cxxflags}"
+        configure.post_args-append  CFLAGS="${configure.universal_cflags}"
+        configure.post_args-append  CXXFLAGS="${configure.universal_cxxflags}"
     }
 
@@ -144,13 +144,13 @@
     }
 
-    build.cmd         make
-    build.target    all
-    use_parallel_build yes
-
-    destroot.cmd      ${build.cmd}
-    destroot.destdir  DESTDIR=${destroot}
-
-    test.run	yes
-    test.cmd	cd qt && ${python.bin} -c 'import PyQt4'
+    build.cmd           make
+    build.target        all
+    use_parallel_build  yes
+
+    destroot.cmd        ${build.cmd}
+    destroot.destdir    DESTDIR=${destroot}
+
+    test.run            yes
+    test.cmd            cd qt && ${python.bin} -c 'import PyQt4'
 
     post-destroot {
@@ -205,3 +205,2 @@
 livecheck.url    http://www.riverbankcomputing.co.uk/software/pyqt/download
 livecheck.regex  "PyQt-mac-gpl-(\[0-9.\]\\.\[0-9.\]\\.\[0-9.\]).tar.gz"
-