Index: /trunk/dports/science/uhd/Portfile
===================================================================
--- /trunk/dports/science/uhd/Portfile	(revision 99527)
+++ /trunk/dports/science/uhd/Portfile	(revision 99528)
@@ -9,5 +9,4 @@
 maintainers         michaelld openmaintainer
 description         Universal Hardware Driver for Ettus Research products
-long_description    ${description}
 license             GPL-3+
 
@@ -19,4 +18,7 @@
 if {${subport} == ${name}} {
 
+    long_description ${description}: \
+Provides the release version, which is typically updated every month or so.
+
     version         003_005_000
     distname        release_${version}
@@ -27,7 +29,15 @@
                     rmd160  2736897c26823b20be6f7ec7ee89b0bccbe5fb63
 
+    # temporary patch to image downloader to separate download and
+    # install directories; will be fixed in upcoming release.
+
+    patchfiles      patch-image-download.diff
+
 }
 
 subport uhd-devel {
+
+    long_description ${description}: \
+Provides the GIT master version, which is typically updated every few days to week.
 
     version         003_005_000_git
@@ -38,4 +48,9 @@
     conflicts       uhd
     livecheck.type  none
+
+    # temporary patch to image downloader to separate download and
+    # install directories; will be fixed in upcoming commit.
+
+    patchfiles      patch-image-download.diff
 
 }
@@ -49,8 +64,4 @@
 build.dir           ${workpath}/build
 
-# patch image downloader to separate download and install directories
-
-patchfiles           patch-image-download.diff
-
 # set last configure argument to the reletive path
 # to the top-level cmake source
@@ -58,5 +69,6 @@
 configure.post_args ../${worksrcdir}/host
 
-# explicitly set configure args -D cmake flags to get MacPorts' curses
+# explicitly set configure args -D cmake flags to get MacPorts'
+# curses; these are used by some variants, but they don't hurt.
 
 configure.args-append \
@@ -73,5 +85,5 @@
 
 post-destroot {
-    system "${destroot}${prefix}/share/uhd/utils/uhd_images_downloader.py --download-location=${destroot}${prefix}/share/uhd --install-location=${destroot}${prefix}/share/uhd/images"
+    system "${destroot}${prefix}/share/uhd/utils/uhd_images_downloader.py --install-location=${destroot}${prefix}/share/uhd/images"
 }
 
Index: /trunk/dports/science/uhd/files/patch-image-download.diff
===================================================================
--- /trunk/dports/science/uhd/files/patch-image-download.diff	(revision 99527)
+++ /trunk/dports/science/uhd/files/patch-image-download.diff	(revision 99528)
@@ -1,10 +1,23 @@
---- host/utils/uhd_images_downloader.py.in.orig	2012-11-06 21:42:35.000000000 -0500
-+++ host/utils/uhd_images_downloader.py.in	2012-11-06 21:58:25.000000000 -0500
-@@ -28,18 +28,31 @@
+--- host/utils/uhd_images_downloader.py.in.orig
++++ host/utils/uhd_images_downloader.py.in
+@@ -16,11 +16,13 @@
+ # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ #
+ 
++import atexit
+ from optparse import OptionParser
+ import os
+ import os.path
+ import shutil
+ import sys
++import tempfile
+ import urllib2
+ import zipfile
+ 
+@@ -28,18 +30,24 @@ if __name__ == "__main__":
  
      #Command line options
      parser = OptionParser()
 -    parser.add_option("--download-location", type="string", default="@CMAKE_INSTALL_PREFIX@/share/uhd/images", help="Set custom download location for images, [default=%default]")
-+    parser.add_option("--download-location", type="string", default="@CMAKE_INSTALL_PREFIX@/share/uhd", help="Set custom download location for images, [default=%default]")
 +    parser.add_option("--install-location", type="string", default="@CMAKE_INSTALL_PREFIX@/share/uhd/images", help="Set custom install location for images, [default=%default]")
      parser.add_option("--buffer-size", type="int", default=8192, help="Set download buffer size, [default=%default]",)
@@ -14,17 +27,12 @@
      images_src = "@UHD_IMAGES_DOWNLOAD_SRC@"
      filename = images_src.split("/")[-1]
+-    
 +
-+    #Configuring download destination
-+    if options.download_location != "":
-+        download_dir = options.download_location
-+    else:
-+        download_dir = "@CMAKE_INSTALL_PREFIX@/share/uhd/tmp"
-     
-+    #create download_dir if it does not exist
-+    if not os.path.exists(download_dir):
-+        os.mkdir (download_dir)
++    #Create temporary directory
++    download_dir = tempfile.mkdtemp()
++    atexit.register(lambda: shutil.rmtree(download_dir))
 +
-+    #make sure we download into the correct directory
-+    os.chdir (download_dir)
++    #Make sure we download into the correct directory
++    os.chdir(download_dir)
 +
      #Configuring image destination