Index: /trunk/dports/textproc/jdepp/Portfile
===================================================================
--- /trunk/dports/textproc/jdepp/Portfile	(revision 99565)
+++ /trunk/dports/textproc/jdepp/Portfile	(revision 99566)
@@ -5,5 +5,5 @@
 
 name                jdepp
-version             2012-10-06
+version             2012-11-08
 categories          textproc japanese
 maintainers         hum openmaintainer
@@ -23,8 +23,10 @@
 
 master_sites        ${homepage}
-checksums           rmd160  2b5ac0967a097a8056bfd14da111d17f41d6c6bd \
-                    sha256  794cd7202cf3e0b667a6726ecdaecb0d1b4bb6bb7f5451b41b4f8700b9d32a67
+checksums           ${distname}${extract.suffix} \
+                    rmd160  cd79420c832369e7c2174e6aa5e786f4c203643b \
+                    sha256  e41699de9672ec9f56c5266977947345e93e10480b003044aa51fe2c4b539e83
 
-patchfiles          patch-configure.diff
+patchfiles          patch-configure.diff \
+                    patch-src_classify.cc.diff
 
 depends_lib         port:mecab-base \
@@ -33,5 +35,5 @@
 configure.args      --enable-standalone
 
-variant knbc conflicts kyoto description {Train a parser wht KNBC (Kyoto-University and NTT Blog Corpus)} {
+variant knbc conflicts kyoto kyoto_partial description {Train a parser wht KNBC (Kyoto-University and NTT Blog Corpus)} {
     depends_build-append  port:KNBC
 
@@ -42,8 +44,24 @@
 }
 
-# Users must put their Kyoto Corpus 4.0 into the following directory if +kyoto variant is set.
+variant kyoto_partial conflicts kyoto knbc description {Train a parser with Kyoto-University Text Corpus annotation without Mainichi news articles} {
+    set kyoto_corpus      KyotoCorpus4.0
+    set corpus_distfile   ${kyoto_corpus}${extract.suffix}
+    distfiles-append      ${corpus_distfile}:corpus
+    master_sites-append   http://nlp.ist.i.kyoto-u.ac.jp/nl-resource/corpus/:corpus
+    checksums-append      ${corpus_distfile} \
+                          rmd160  9c8212d939b7112a79aff30ab0880f94c3ee9b48 \
+                          sha256  6fe4f7bac19e192f7545c4de0c765f690a524c7611191e2af9be031d4923871f
+
+    configure.args-append --with-corpus=kyoto-partial \
+                          --enable-autopos-train=no
+
+    build.target          model
+    build.args-append     CORPUS_DIR=${workpath}/${kyoto_corpus}
+}
+
+# To use the complete kyoto corpus with +kyoto variant, users must put their data into the following directory.
 set kyoto_dir       /tmp/KyotoCorpus4.0
 
-variant kyoto conflicts knbc description {Train a parser with Kyoto-University Text Corpus} {
+variant kyoto conflicts kyoto_partial knbc description {Train a parser with Kyoto-University Text Corpus} {
     if {[file exists ${kyoto_dir}]} {
         build.target          model
@@ -71,5 +89,5 @@
 }
 
-if {![variant_isset kyoto]} {
+if {![variant_isset kyoto] && ![variant_isset kyoto_partial]} {
     default_variants +knbc
 }
Index: /trunk/dports/textproc/jdepp/files/patch-configure.diff
===================================================================
--- /trunk/dports/textproc/jdepp/files/patch-configure.diff	(revision 99565)
+++ /trunk/dports/textproc/jdepp/files/patch-configure.diff	(revision 99566)
@@ -1,5 +1,5 @@
---- configure.orig	2012-09-26 22:51:10.000000000 +0900
-+++ configure	2012-09-28 00:21:04.000000000 +0900
-@@ -5625,7 +5625,7 @@
+--- configure.orig	2012-11-08 20:33:04.000000000 +0900
++++ configure	2012-11-10 09:37:01.000000000 +0900
+@@ -5630,7 +5630,7 @@
  
  $as_echo "#define USE_MECAB 1" >>confdefs.h
@@ -10,5 +10,5 @@
    as_fn_error $? "\"${MECAB_DICT}\" not found" "$LINENO" 5
  fi
-@@ -5702,7 +5702,7 @@
+@@ -5707,7 +5707,7 @@
  
  $as_echo "#define USE_AS_STANDALONE 1" >>confdefs.h
Index: /trunk/dports/textproc/jdepp/files/patch-src_classify.cc.diff
===================================================================
--- /trunk/dports/textproc/jdepp/files/patch-src_classify.cc.diff	(revision 99566)
+++ /trunk/dports/textproc/jdepp/files/patch-src_classify.cc.diff	(revision 99566)
@@ -0,0 +1,12 @@
+--- src/classify.cc.orig	2012-10-26 22:28:13.000000000 +0900
++++ src/classify.cc	2012-11-10 08:10:06.000000000 +0900
+@@ -2,7 +2,9 @@
+ //  $Id: classify.cc 1009 2012-10-22 08:06:40Z ynaga $
+ // Copyright (c) 2008-2012 Naoki Yoshinaga <ynaga@tkl.iis.u-tokyo.ac.jp>
+ #include "classify.h"
++#ifdef USE_SSE4_2_POPCNT
+ #include <smmintrin.h>
++#endif
+ #ifdef USE_KERNEL
+ #include "kernel.h"
+ #endif