Index: /trunk/dports/lang/php/Portfile
===================================================================
--- /trunk/dports/lang/php/Portfile	(revision 99593)
+++ /trunk/dports/lang/php/Portfile	(revision 99594)
@@ -187,5 +187,7 @@
         patch_sites-append          http://download.suhosin.org/
         if {${suhosin_available}} {
+            patchfiles-append       patch-${php}-suhosin-before.diff
             patchfiles-append       ${suhosin_patch}
+            patchfiles-append       patch-${php}-suhosin-after.diff
         }
     }
Index: /trunk/dports/lang/php/files/patch-php53-suhosin-after.diff
===================================================================
--- /trunk/dports/lang/php/files/patch-php53-suhosin-after.diff	(revision 99594)
+++ /trunk/dports/lang/php/files/patch-php53-suhosin-after.diff	(revision 99594)
@@ -0,0 +1,22 @@
+--- a/sapi/litespeed/lsapi_main.c.orig	2012-11-10 17:04:40.000000000 -0600
++++ b/sapi/litespeed/lsapi_main.c	2012-11-10 17:05:49.000000000 -0600
+@@ -720,15 +720,15 @@
+                 if (php_request_startup(TSRMLS_C) != FAILURE) {
+ #if SUHOSIN_PATCH
+   #if ZEND_DEBUG
+-					php_printf("PHP %s with Suhosin-Patch (%s) (built: %s %s) (DEBUG)\nCopyright (c) 1997-2011 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
++					php_printf("PHP %s with Suhosin-Patch (%s) (built: %s %s) (DEBUG)\nCopyright (c) 1997-2012 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
+   #else
+-					php_printf("PHP %s with Suhosin-Patch (%s) (built: %s %s)\nCopyright (c) 1997-2011 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
++					php_printf("PHP %s with Suhosin-Patch (%s) (built: %s %s)\nCopyright (c) 1997-2012 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
+   #endif
+ #else					
+ #if ZEND_DEBUG
+-                    php_printf("PHP %s (%s) (built: %s %s) (DEBUG)\nCopyright (c) 1997-2004 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
++                    php_printf("PHP %s (%s) (built: %s %s) (DEBUG)\nCopyright (c) 1997-2012 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
+ #else
+-                    php_printf("PHP %s (%s) (built: %s %s)\nCopyright (c) 1997-2004 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
++                    php_printf("PHP %s (%s) (built: %s %s)\nCopyright (c) 1997-2012 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
+ #endif
+ #endif
+ #ifdef PHP_OUTPUT_NEWAPI
Index: /trunk/dports/lang/php/files/patch-php53-suhosin-before.diff
===================================================================
--- /trunk/dports/lang/php/files/patch-php53-suhosin-before.diff	(revision 99594)
+++ /trunk/dports/lang/php/files/patch-php53-suhosin-before.diff	(revision 99594)
@@ -0,0 +1,14 @@
+--- a/sapi/litespeed/lsapi_main.c.orig	2012-10-17 11:21:41.000000000 -0500
++++ b/sapi/litespeed/lsapi_main.c	2012-11-10 16:58:30.000000000 -0600
+@@ -719,9 +719,9 @@
+             case 'v':
+                 if (php_request_startup(TSRMLS_C) != FAILURE) {
+ #if ZEND_DEBUG
+-                    php_printf("PHP %s (%s) (built: %s %s) (DEBUG)\nCopyright (c) 1997-2012 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
++                    php_printf("PHP %s (%s) (built: %s %s) (DEBUG)\nCopyright (c) 1997-2004 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
+ #else
+-                    php_printf("PHP %s (%s) (built: %s %s)\nCopyright (c) 1997-2012 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
++                    php_printf("PHP %s (%s) (built: %s %s)\nCopyright (c) 1997-2004 The PHP Group\n%s", PHP_VERSION, sapi_module.name, __DATE__, __TIME__, get_zend_version());
+ #endif
+ #ifdef PHP_OUTPUT_NEWAPI
+                     php_output_end_all(TSRMLS_C);